Package org.kapott.hbci.sepa.jaxb.pain_001_001_09

# Class AccountIdentification4Choice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_09.AccountIdentification4Choice

public class AccountIdentification4Choice extends Object

Java class for AccountIdentification4Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccountIdentification4Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="IBAN" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}IBAN2007Identifier"/>
             <element name="Othr" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.09}GenericAccountIdentification1"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`iban`
`protected GenericAccountIdentification1`
`othr`

## Constructor Summary

Constructors
Constructor
Description
`AccountIdentification4Choice()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getIBAN()`
Gets the value of the iban property.
`GenericAccountIdentification1`
`getOthr()`
Gets the value of the othr property.
`void`
`setIBAN(String value)`
Sets the value of the iban property.
`void`
`setOthr(GenericAccountIdentification1 value)`
Sets the value of the othr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### iban

protected String iban

### othr

protected GenericAccountIdentification1 othr

## Constructor Details

### AccountIdentification4Choice

public AccountIdentification4Choice()

## Method Details

### getIBAN

public String getIBAN()
Gets the value of the iban property.

Returns:
  possible object is `String`

### setIBAN

public void setIBAN(String value)
Sets the value of the iban property.

Parameters:
  `value` - allowed object is `String`

### getOthr

public GenericAccountIdentification1 getOthr()
Gets the value of the othr property.

Returns:
  possible object is `GenericAccountIdentification1`

### setOthr

public void setOthr(GenericAccountIdentification1 value)
Sets the value of the othr property.

Parameters:
  `value` - allowed object is `GenericAccountIdentification1`